Subject: Re: Fix signal handler

From: Markus Elfring <[email-masked]>
Date: Tue, 09 Feb 2010 19:01:18 +0100

>
> If you can demonstrate a practical problem and provide a patch, then I
> am sure people would be happy to read it.
>   

I need a few further clarifications on this issue to choose a potential fix.

I have noticed that the variable "show_early_output" gets a value
assigned only at a few places in the source code. I wonder that the set
pointer is only used by the function "limit_list" to call the function
"log_show_early" on demand.
http://git.kernel.org/?p=git/git.git;a=blob;f=revision.c;h=3ba6d991f6e9789949c314c2981dfc6b208a6f66;hb=HEAD#l683

I find that a simple flag would be sufficient. I see no need to handle
different function pointers here. Do any objections exist to achieve the
same effect with the data type "sig_atomic_t"?

Regards,
Markus